%define version 1.9.2
%define name rfbdrake

Summary:	Remote Frame Buffer configuration/launcher tool 
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
# SVN source
# http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rfbdrake/
Source0:	%{name}-%{version}.tar.lzma
License:	GPL
URL:		http://people.mandrakesoft.com/~daouda/mandrake/rfbdrake.html
Group:		System/Configuration/Networking
Requires:	drakxtools >= 9.2-0.15mdk, perl-Gtk2 >= 0.26.cvs.2003.07.15.1-5mdk, 
Requires:   vnc, rfb, rdesktop >= 1.2.0
BuildRequires: perl-MDK-Common-devel
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rfbdrake is a tool to setup a client/server remote framebuffer
for virtual network computing. It use vncviewer backend at the
client side and x0rfbserver for the server side.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

# fix symlink due to lack of DESTDIR in this makefile
rm -f %{buildroot}%{_bindir}/drakremote
ln -s %{_bindir}/rfbdrake %{buildroot}%{_bindir}/drakremote

#install lang
%{find_lang} rfbdrake

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Network Connection
Comment=A remote frame buffer tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Internet-RemoteAccess;Network;RemoteAccess;Dialup;X-MandrivaLinux-CrossDesktop
EOF

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f rfbdrake.lang
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/%{name}
%{_bindir}/drakremote
%{_datadir}/rfbdrake
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Wed Apr 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.9.2-1mdv2009.1
+ Revision: 367540
- translation updates

* Mon Mar 30 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.9.1-1mdv2009.1
+ Revision: 362310
- translation updates

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.9-2mdv2009.1
+ Revision: 351563
- rebuild

* Mon Sep 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9-1mdv2009.0
+ Revision: 286973
- translation updates

* Tue Aug 05 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.8-3mdv2009.0
+ Revision: 263756
- Show back on kde menu

* Tue Jul 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.8-2mdv2009.0
+ Revision: 232682
- Do not show on KDE menu ( KDE menu cleaning task )

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.8-1mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Apr 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8-1mdv2008.1
+ Revision: 192101
- translation updates

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.7-1mdv2008.1
+ Revision: 190123
- translation updates

* Mon Mar 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6-1mdv2008.1
+ Revision: 183689
- fix retrieving port (#37845)
- renamed Uzbek translations to follow the libc standard (#35090)
- typo fix (was breaking translations)
- updated translation

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5-3mdv2008.1
+ Revision: 179438
- fix group
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better group
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5-1mdv2008.0
+ Revision: 95120
- updated translation

* Sun Sep 23 2007 Anne Nicolas <anne.nicolas@mandriva.com> 1.4-4mdv2008.0
+ Revision: 92396
- fix menu

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 1.4-3mdv2008.0
+ Revision: 74648
- fix drakremote symlink

  + Funda Wang <fundawang@mandriva.org>
    - fix space before category

* Mon May 21 2007 Olivier Blin <oblin@mandriva.com> 1.4-1mdv2008.0
+ Revision: 29159
- remove old debian-style menu
- add NEWS file
- remove COPYING file
- 1.4


* Mon Mar 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3-1mdv2007.1
+ Revision: 141966
- translation snapshot

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
+ Revision: 106511
- Import rfbdrake

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
- fix crash now that vnc is nomore in /usr/X11R6 (#27961)

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1-1mdv2007.0
- updated translation

* Sat Sep 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-10mdv2007.0
- improved layout
- don't display a banner when embedded
- fix menu group
- XDG menu

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-9mdv2007.0
- use our standard Banner widget (thus fixing crash #23129)

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 1.0-8mdk
- main loop fix

* Sat Sep 04 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-7mdk
- fixed combo entry emptiness test

* Thu Sep 02 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-6mdk
- Catch and raise errors when vnc client failed to connect (Tocman)
- cleanups

* Fri Jul 16 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-5mdk
- fix #10253

* Wed Jun 16 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-4mdk
- Embed rfbdrake in mcc (section Online Administration)

* Thu Jun 03 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-3mdk
- save lang and resolution settings (feature)

* Sat May 22 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- Buildrequires (per Oyvind)

* Wed Mar 17 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- manually handle pty when rfbdrake launched from menu
- po updates

